Skip to:
Content
Pages
Categories
Search
Top
Bottom

BuddyPress Upgrade Killed My Blog. HELP.

  • Avatar of sschablow
    sschablow
    Participant

    @sschablow

    Geez, I thought automatic upgrade would perform the necessary functions. I did the auto update to BP 1.0.3 while running WPMU 2.7.1. THE ENTIRE SITE HAS CRASHED. please help me? Of course I don’t have a backup of the previous BP install. I copied the one that doesn’t work and then deleted it from the server, but WPMU seems to still be trying to call it. I get the following error (after removing BP) at socialsouth.org: Warning: require_once(/home/sschablow/socialsouth.org/wp-content/plugins/buddypress/bp-core.php) [function.require-once]: failed to open stream: No such file or directory in /home/sschablow/socialsouth.org/wp-content/plugins/welcome-pack/welcome-pack.php on line 14

    Fatal error: require_once() [function.require]: Failed opening required ‘/home/sschablow/socialsouth.org/wp-content/plugins/buddypress/bp-core.php’ (include_path=’.:/usr/local/php5/lib/php:/usr/local/lib/php’) in /home/sschablow/socialsouth.org/wp-content/plugins/welcome-pack/welcome-pack.php on line 14

    1. Which version of WPMU are you running? 2.7.1

    2. Did you install WPMU as a directory or subdomain install? Directory.

    3. If a directory install, is it in root or in a subdirectory? Root

    4. Did you upgraded from a previous version of WPMU? If so, from which version? no, Fresh install

    5. Was WPMU functioning properly before installing/upgrading BuddyPress? Hellz Ya.

    6. Which version of BuddyPress (BP) are you running? Tried to update to 1.0.3

    7. Did you upgraded from a previous version of BP? If so, from which version? It’s crashed, who knows. Pretty sure it was 1.0 possibly 1.0.1

    8. Do you have any plugins other than BuddyPress installed and activated? Yes. Crash occured after fatal error during BP upgrade (If it’s not possible to upgrade automatically you REALLY SHOULD REMOVE THAT SHIT FROM THE OPTIONS. DAYUMN. )

    9. Are you using the standard BuddyPress themes or customized themes? customized themes which I’ll probably have to pay out the ass to have rebuilt.

    10. Have you modified the core files in any way? What’s a core file? I reckon not.

    11. Do you have any custom functions in bp-custom.php? NO

    12. If running bbPress, which version? Not sure. It’s the only thing that still works but there’s no version number on the page.

    13. Please provide a list of any errors in your server’s log files.

    [Wed Sep 16 07:14:32 2009] [error] [client 121.78.116.209] ModSecurity: Access denied with code 503 (phase 2). Pattern match “=(http|www|ftp)\\:/(.+)\\.(c|dat|kek|gif|jpe?g|jpeg|png|sh|txt|bmp|dat|txt|js|html?|tmp|asp)\\x20?\\?” at REQUEST_URI. [file "/dh/apache2/template/etc/mod_sec2/gotroot/50_asl_rootkits.conf"] [line "23"] [id "390144"] [rev "2"] [msg "Command shell attack: Generic Attempt to remote include command shell"] [severity "CRITICAL"] [hostname "socialsouth.org"] [uri "/members/admin/lang.php"] [unique_id "SrDyyEWjqvkAABYv5ukAAAAM"]

    [Wed Sep 16 07:14:32 2009] [error] [client 121.78.116.209] ModSecurity: Access denied with code 503 (phase 2). Pattern match “=(http|www|ftp)\\:/(.+)\\.(c|dat|kek|gif|jpe?g|jpeg|png|sh|txt|bmp|dat|txt|js|html?|tmp|asp)\\x20?\\?” at REQUEST_URI. [file "/dh/apache2/template/etc/mod_sec2/gotroot/50_asl_rootkits.conf"] [line "23"] [id "390144"] [rev "2"] [msg "Command shell attack: Generic Attempt to remote include command shell"] [severity "CRITICAL"] [hostname "socialsouth.org"] [uri "/members/admin/admin/lang.php"] [unique_id "SrDyyEWjqvkAABYs5T8AAAAJ"]

    [Wed Sep 16 07:14:32 2009] [error] [client 121.78.116.209] ModSecurity: Access denied with code 503 (phase 2). Pattern match “=(http|www|ftp)\\:/(.+)\\.(c|dat|kek|gif|jpe?g|jpeg|png|sh|txt|bmp|dat|txt|js|html?|tmp|asp)\\x20?\\?” at REQUEST_URI. [file "/dh/apache2/template/etc/mod_sec2/gotroot/50_asl_rootkits.conf"] [line "23"] [id "390144"] [rev "2"] [msg "Command shell attack: Generic Attempt to remote include command shell"] [severity "CRITICAL"] [hostname "socialsouth.org"] [uri "/admin/lang.php"] [unique_id "SrDyyEWjqvkAABYv5uoAAAAM"]

    [Wed Sep 16 19:15:58 2009] [error] [client 98.71.85.31] client denied by server configuration: /home/sschablow/socialsouth.org/net2ftp_temp_h5zl9/

    [Wed Sep 16 19:16:07 2009] [error] [client 208.113.209.171] client denied by server configuration: /home/sschablow/socialsouth.org/net2ftp_temp_h5zl9/

    [Wed Sep 16 19:16:16 2009] [error] [client 75.76.198.51] client denied by server configuration: /home/sschablow/socialsouth.org/net2ftp_temp_h5zl9/, referer: http://wordcampbirmingham.org/

    [Wed Sep 16 19:17:24 2009] [error] [client 68.49.46.194] client denied by server configuration: /home/sschablow/socialsouth.org/net2ftp_temp_h5zl9/

    [Wed Sep 16 19:17:28 2009] [error] [client 75.76.198.51] client denied by server configuration: /home/sschablow/socialsouth.org/net2ftp_temp_h5zl9/, referer: http://wordcampbirmingham.org/

    [Wed Sep 16 19:18:45 2009] [error] [client 209.17.186.44] client denied by server configuration: /home/sschablow/socialsouth.org/net2ftp_temp_h5zl9/

    Please advise how I can remove BuddyPress to get the blog back online, then upgrade to WPMU. I will then install BP 1.0.3. Which data files do I need to replace in the new install to retain members and profiles?

Viewing 6 replies - 1 through 6 (of 6 total)
  • Avatar of Manoj Kumar
    talk2manoj
    Participant

    @talk2manoj

    @sschablow : Please try by renaming plugins folder to tmp_plugins or something.

    Avatar of Jeff Sayre
    Jeff Sayre
    Participant

    @jeffsayre

    @sschablow

    The auto upgrade usually does its job. But you are using a version of WPMU (2.7.1) that is 5 months old. Also, you were attempting to upgrade from a version of BP that was at least that old as well.

    Whenever that many months have elapsed between your updating software versions, it is wise to check the readme.txt files and make sure that the versions you are using are compatible with each other. Had you done so, you would see at the top of BuddyPress’ v1.0.3 readme.txt file that you need at least WPMU 2.8.1.

    === Plugin Name ===
    Contributors: apeatling
    Tags: wpmu, buddypress, social, networking, profiles, messaging, friends, groups, forums, activity
    Requires at least: WordPress MU 2.8.1
    Tested up to: 2.8.1
    Stable tag: 1.0.3

    During those five months, many updates have been made to both platforms. In fact, it is recommended that you upgrade WPMU to 2.8.4a for security reasons. Here’s some information that might help in upgrading WPMU.

    As for your comment here:

    Crash occured after fatal error during BP upgrade (If it’s not possible to upgrade automatically you REALLY SHOULD REMOVE THAT S***[edited for content] FROM THE OPTIONS. DAYUMN. )

    That is an issue. I’m not sure that it has been reported, but as you are the first to report such a bug in the BuddyPress forums, you should check in WPMU Trac and see if it has been reported. If not, add a new ticket.

    Disable all of your plugins – move them from the /plugins/ directory. Upgrade WordPress MU to the latest.

    Re-add your plugins to the /plugins/ directory, do not activate them. Upgrade BuddyPress and then re-active your plugins.

    Please, please backup before you upgrade. I’m not saying this for my own health. If you have a site running that can’t afford to be down, this is critical.

    Avatar of LwEEs
    LwEEs
    Participant

    @menel001

    I had a similar problem, it was related to file permissions. I edited all my buddypress files ( or chmod them if you will) to 755 and now its working fine.

    Avatar of sschablow
    sschablow
    Participant

    @sschablow

    Manoj, Jeff, Andy, LwEEs Thanks for the help! I renamed the plugins folder and the site cae back up. I then upgraded WPMU restored the plugin folder name and installed BP 1.03. BAM. Everything is perfect! Much easier to fix than I anticipated. And yes Jeff. I will keep up to date AND read the notices BEFORE updating in the future.

    And backup! :)

Viewing 6 replies - 1 through 6 (of 6 total)

The topic ‘BuddyPress Upgrade Killed My Blog. HELP.’ is closed to new replies.